// Generated by dts-bundle-generator v9.5.1

import { Optional } from '@sirpepe/shed/types';
import { z } from 'zod';

export declare const defaultTheme: Theme;
declare const backdropSchema: z.ZodObject<{
	kind: z.ZodLiteral<"BACKDROP">;
	value: z.ZodUnion<[
		z.ZodObject<{
			kind: z.ZodLiteral<"COLOR">;
			value: z.ZodUnion<[
				z.ZodString,
				z.ZodString
			]>;
		}, "strip", z.ZodTypeAny, {
			value: string;
			kind: "COLOR";
		}, {
			value: string;
			kind: "COLOR";
		}>,
		z.ZodObject<{
			kind: z.ZodLiteral<"LINEAR_GRADIENT">;
			stops: z.ZodArray<z.ZodObject<{
				color: z.ZodObject<{
					kind: z.ZodLiteral<"COLOR">;
					value: z.ZodUnion<[
						z.ZodString,
						z.ZodString
					]>;
				}, "strip", z.ZodTypeAny, {
					value: string;
					kind: "COLOR";
				}, {
					value: string;
					kind: "COLOR";
				}>;
				position: z.ZodNumber;
			}, "strip", z.ZodTypeAny, {
				color: {
					value: string;
					kind: "COLOR";
				};
				position: number;
			}, {
				color: {
					value: string;
					kind: "COLOR";
				};
				position: number;
			}>, "many">;
			angle: z.ZodNumber;
		}, "strip", z.ZodTypeAny, {
			angle: number;
			kind: "LINEAR_GRADIENT";
			stops: {
				color: {
					value: string;
					kind: "COLOR";
				};
				position: number;
			}[];
		}, {
			angle: number;
			kind: "LINEAR_GRADIENT";
			stops: {
				color: {
					value: string;
					kind: "COLOR";
				};
				position: number;
			}[];
		}>
	]>;
}, "strip", z.ZodTypeAny, {
	value: {
		value: string;
		kind: "COLOR";
	} | {
		angle: number;
		kind: "LINEAR_GRADIENT";
		stops: {
			color: {
				value: string;
				kind: "COLOR";
			};
			position: number;
		}[];
	};
	kind: "BACKDROP";
}, {
	value: {
		value: string;
		kind: "COLOR";
	} | {
		angle: number;
		kind: "LINEAR_GRADIENT";
		stops: {
			color: {
				value: string;
				kind: "COLOR";
			};
			position: number;
		}[];
	};
	kind: "BACKDROP";
}>;
type BackgroundSchema = z.infer<typeof backdropSchema>;
declare const tokenThemeTypes: {
	readonly keyword: "keyword";
	readonly alternativeKeyword: "alternativeKeyword";
	readonly tag: "tag";
	readonly alternativeTag: "alternativeTag";
	readonly attribute: "attribute";
	readonly alternativeAttribute: "alternativeAttribute";
	readonly declaration: "declaration";
	readonly string: "string";
	readonly number: "number";
	readonly literal: "literal";
	readonly value: "value";
	readonly operator: "operator";
	readonly invocation: "invocation";
	readonly type: "type";
	readonly comment: "comment";
	readonly alternativeComment: "comment";
	readonly punctuation: "punctuation";
};
type LanguageThemeColorNames = keyof typeof tokenThemeTypes;
type LanguageThemeMap = Record<string, LanguageThemeColorNames>;
export declare const themeSchema: z.ZodObject<{
	version: z.ZodLiteral<0>;
	verticalAlign: z.ZodUnion<[
		z.ZodLiteral<"top">,
		z.ZodLiteral<"middle">
	]>;
	padding: z.ZodTuple<[
		z.ZodNumber,
		z.ZodNumber,
		z.ZodNumber,
		z.ZodNumber
	], null>;
	animation: z.ZodObject<{
		function: z.ZodUnion<[
			z.ZodLiteral<"ease">,
			z.ZodLiteral<"ease-in">,
			z.ZodLiteral<"ease-out">,
			z.ZodLiteral<"ease-in-out">,
			z.ZodLiteral<"linear">
		]>;
		duration: z.ZodNumber;
	}, "strip", z.ZodTypeAny, {
		function: "linear" | "ease" | "ease-in" | "ease-out" | "ease-in-out";
		duration: number;
	}, {
		function: "linear" | "ease" | "ease-in" | "ease-out" | "ease-in-out";
		duration: number;
	}>;
	layers: z.ZodObject<{
		lineNumbers: z.ZodObject<{
			enabled: z.ZodBoolean;
			typography: z.ZodObject<{
				color: z.ZodObject<{
					kind: z.ZodLiteral<"COLOR">;
					value: z.ZodUnion<[
						z.ZodString,
						z.ZodString
					]>;
				}, "strip", z.ZodTypeAny, {
					value: string;
					kind: "COLOR";
				}, {
					value: string;
					kind: "COLOR";
				}>;
				weight: z.ZodUnion<[
					z.ZodLiteral<"normal">,
					z.ZodLiteral<"bold">
				]>;
				style: z.ZodUnion<[
					z.ZodLiteral<"normal">,
					z.ZodLiteral<"italic">
				]>;
			}, "strip", z.ZodTypeAny, {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			}, {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			}>;
			horizontalMargin: z.ZodTuple<[
				z.ZodNumber,
				z.ZodNumber
			], null>;
		}, "strip", z.ZodTypeAny, {
			enabled: boolean;
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			};
			horizontalMargin: [
				number,
				number
			];
		}, {
			enabled: boolean;
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			};
			horizontalMargin: [
				number,
				number
			];
		}>;
		tokens: z.ZodObject<{
			typography: z.ZodIntersection<z.ZodObject<{
				color: z.ZodObject<{
					kind: z.ZodLiteral<"COLOR">;
					value: z.ZodUnion<[
						z.ZodString,
						z.ZodString
					]>;
				}, "strip", z.ZodTypeAny, {
					value: string;
					kind: "COLOR";
				}, {
					value: string;
					kind: "COLOR";
				}>;
				weight: z.ZodUnion<[
					z.ZodLiteral<"normal">,
					z.ZodLiteral<"bold">
				]>;
				style: z.ZodUnion<[
					z.ZodLiteral<"normal">,
					z.ZodLiteral<"italic">
				]>;
			}, "strip", z.ZodTypeAny, {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			}, {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			}>, z.ZodObject<{
				kind: z.ZodLiteral<"TYPOGRAPHY">;
				fontFamily: z.ZodString;
				lineHeight: z.ZodNumber;
				fontSizeFactor: z.ZodNumber;
			}, "strip", z.ZodTypeAny, {
				fontFamily: string;
				lineHeight: number;
				kind: "TYPOGRAPHY";
				fontSizeFactor: number;
			}, {
				fontFamily: string;
				lineHeight: number;
				kind: "TYPOGRAPHY";
				fontSizeFactor: number;
			}>>;
			colors: z.ZodObject<{
				string: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				number: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				keyword: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				alternativeKeyword: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				tag: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				alternativeTag: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				attribute: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				alternativeAttribute: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				declaration: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				literal: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				value: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				operator: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				invocation: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				type: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				comment: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				alternativeComment: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				punctuation: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
			}, "strip", z.ZodTypeAny, {
				string: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				number: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				type: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				value: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				literal: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				keyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeKeyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				tag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeTag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				attribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeAttribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				declaration: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				operator: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				invocation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				comment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeComment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				punctuation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
			}, {
				string: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				number: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				type: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				value: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				literal: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				keyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeKeyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				tag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeTag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				attribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeAttribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				declaration: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				operator: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				invocation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				comment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeComment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				punctuation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
			}>;
		}, "strip", z.ZodTypeAny, {
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			} & {
				fontFamily: string;
				lineHeight: number;
				kind: "TYPOGRAPHY";
				fontSizeFactor: number;
			};
			colors: {
				string: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				number: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				type: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				value: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				literal: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				keyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeKeyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				tag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeTag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				attribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeAttribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				declaration: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				operator: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				invocation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				comment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeComment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				punctuation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
			};
		}, {
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			} & {
				fontFamily: string;
				lineHeight: number;
				kind: "TYPOGRAPHY";
				fontSizeFactor: number;
			};
			colors: {
				string: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				number: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				type: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				value: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				literal: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				keyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeKeyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				tag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeTag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				attribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeAttribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				declaration: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				operator: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				invocation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				comment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeComment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				punctuation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
			};
		}>;
		decorations: z.ZodObject<{
			gutter: z.ZodObject<{
				character: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_GUTTER">;
					offset: z.ZodTuple<[
						z.ZodNumber,
						z.ZodNumber
					], null>;
				}, "strip", z.ZodTypeAny, {
					offset: [
						number,
						number
					];
					kind: "DECORATION_GUTTER";
				}, {
					offset: [
						number,
						number
					];
					kind: "DECORATION_GUTTER";
				}>;
			}, "strip", z.ZodTypeAny, {
				character: {
					offset: [
						number,
						number
					];
					kind: "DECORATION_GUTTER";
				};
			}, {
				character: {
					offset: [
						number,
						number
					];
					kind: "DECORATION_GUTTER";
				};
			}>;
			line: z.ZodObject<{
				highlight: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_LINE">;
					class: z.ZodLiteral<"highlight">;
					foreground: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
					}, "strip", z.ZodTypeAny, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
					background: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
					}, "strip", z.ZodTypeAny, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "highlight";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				}, {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "highlight";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				}>;
				error: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_LINE">;
					class: z.ZodLiteral<"error">;
					foreground: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
					}, "strip", z.ZodTypeAny, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
					background: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
					}, "strip", z.ZodTypeAny, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "error";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				}, {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "error";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				}>;
				ok: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_LINE">;
					class: z.ZodLiteral<"ok">;
					foreground: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
					}, "strip", z.ZodTypeAny, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
					background: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
					}, "strip", z.ZodTypeAny, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "ok";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				}, {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "ok";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				}>;
				custom1: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_LINE">;
					class: z.ZodLiteral<"custom1">;
					foreground: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
					}, "strip", z.ZodTypeAny, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
					background: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
					}, "strip", z.ZodTypeAny, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom1";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				}, {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom1";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				}>;
				custom2: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_LINE">;
					class: z.ZodLiteral<"custom2">;
					foreground: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
					}, "strip", z.ZodTypeAny, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
					background: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
					}, "strip", z.ZodTypeAny, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom2";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				}, {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom2";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				}>;
				custom3: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_LINE">;
					class: z.ZodLiteral<"custom3">;
					foreground: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
					}, "strip", z.ZodTypeAny, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
					background: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
					}, "strip", z.ZodTypeAny, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom3";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				}, {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom3";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				}>;
			}, "strip", z.ZodTypeAny, {
				error: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "error";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				highlight: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "highlight";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				ok: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "ok";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom1: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom1";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom2: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom2";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom3: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom3";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
			}, {
				error: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "error";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				highlight: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "highlight";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				ok: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "ok";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom1: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom1";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom2: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom2";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom3: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom3";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
			}>;
			text: z.ZodObject<{
				highlight: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_TEXT">;
					class: z.ZodLiteral<"highlight">;
					foreground: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							enabled: z.ZodBoolean;
							style: z.ZodEnum<[
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}>;
					background: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							enabled: z.ZodBoolean;
							style: z.ZodEnum<[
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "highlight";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				}, {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "highlight";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				}>;
				error: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_TEXT">;
					class: z.ZodLiteral<"error">;
					foreground: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							enabled: z.ZodBoolean;
							style: z.ZodEnum<[
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}>;
					background: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							enabled: z.ZodBoolean;
							style: z.ZodEnum<[
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "error";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				}, {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "error";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				}>;
				ok: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_TEXT">;
					class: z.ZodLiteral<"ok">;
					foreground: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							enabled: z.ZodBoolean;
							style: z.ZodEnum<[
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}>;
					background: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							enabled: z.ZodBoolean;
							style: z.ZodEnum<[
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "ok";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				}, {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "ok";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				}>;
				custom1: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_TEXT">;
					class: z.ZodLiteral<"custom1">;
					foreground: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							enabled: z.ZodBoolean;
							style: z.ZodEnum<[
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}>;
					background: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							enabled: z.ZodBoolean;
							style: z.ZodEnum<[
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom1";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				}, {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom1";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				}>;
				custom2: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_TEXT">;
					class: z.ZodLiteral<"custom2">;
					foreground: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							enabled: z.ZodBoolean;
							style: z.ZodEnum<[
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}>;
					background: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							enabled: z.ZodBoolean;
							style: z.ZodEnum<[
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom2";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				}, {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom2";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				}>;
				custom3: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_TEXT">;
					class: z.ZodLiteral<"custom3">;
					foreground: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							enabled: z.ZodBoolean;
							style: z.ZodEnum<[
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}>;
					background: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							enabled: z.ZodBoolean;
							style: z.ZodEnum<[
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom3";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				}, {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom3";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				}>;
			}, "strip", z.ZodTypeAny, {
				error: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "error";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				highlight: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "highlight";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				ok: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "ok";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom1: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom1";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom2: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom2";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom3: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom3";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
			}, {
				error: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "error";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				highlight: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "highlight";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				ok: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "ok";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom1: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom1";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom2: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom2";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom3: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom3";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
			}>;
		}, "strip", z.ZodTypeAny, {
			line: {
				error: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "error";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				highlight: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "highlight";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				ok: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "ok";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom1: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom1";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom2: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom2";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom3: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom3";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
			};
			text: {
				error: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "error";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				highlight: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "highlight";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				ok: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "ok";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom1: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom1";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom2: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom2";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom3: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom3";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
			};
			gutter: {
				character: {
					offset: [
						number,
						number
					];
					kind: "DECORATION_GUTTER";
				};
			};
		}, {
			line: {
				error: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "error";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				highlight: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "highlight";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				ok: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "ok";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom1: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom1";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom2: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom2";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom3: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom3";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
			};
			text: {
				error: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "error";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				highlight: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "highlight";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				ok: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "ok";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom1: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom1";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom2: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom2";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom3: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom3";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
			};
			gutter: {
				character: {
					offset: [
						number,
						number
					];
					kind: "DECORATION_GUTTER";
				};
			};
		}>;
		background: z.ZodObject<{
			backdrop: z.ZodObject<{
				kind: z.ZodLiteral<"BACKDROP">;
				value: z.ZodUnion<[
					z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>,
					z.ZodObject<{
						kind: z.ZodLiteral<"LINEAR_GRADIENT">;
						stops: z.ZodArray<z.ZodObject<{
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							position: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							color: {
								value: string;
								kind: "COLOR";
							};
							position: number;
						}, {
							color: {
								value: string;
								kind: "COLOR";
							};
							position: number;
						}>, "many">;
						angle: z.ZodNumber;
					}, "strip", z.ZodTypeAny, {
						angle: number;
						kind: "LINEAR_GRADIENT";
						stops: {
							color: {
								value: string;
								kind: "COLOR";
							};
							position: number;
						}[];
					}, {
						angle: number;
						kind: "LINEAR_GRADIENT";
						stops: {
							color: {
								value: string;
								kind: "COLOR";
							};
							position: number;
						}[];
					}>
				]>;
			}, "strip", z.ZodTypeAny, {
				value: {
					value: string;
					kind: "COLOR";
				} | {
					angle: number;
					kind: "LINEAR_GRADIENT";
					stops: {
						color: {
							value: string;
							kind: "COLOR";
						};
						position: number;
					}[];
				};
				kind: "BACKDROP";
			}, {
				value: {
					value: string;
					kind: "COLOR";
				} | {
					angle: number;
					kind: "LINEAR_GRADIENT";
					stops: {
						color: {
							value: string;
							kind: "COLOR";
						};
						position: number;
					}[];
				};
				kind: "BACKDROP";
			}>;
		}, "strip", z.ZodTypeAny, {
			backdrop: {
				value: {
					value: string;
					kind: "COLOR";
				} | {
					angle: number;
					kind: "LINEAR_GRADIENT";
					stops: {
						color: {
							value: string;
							kind: "COLOR";
						};
						position: number;
					}[];
				};
				kind: "BACKDROP";
			};
		}, {
			backdrop: {
				value: {
					value: string;
					kind: "COLOR";
				} | {
					angle: number;
					kind: "LINEAR_GRADIENT";
					stops: {
						color: {
							value: string;
							kind: "COLOR";
						};
						position: number;
					}[];
				};
				kind: "BACKDROP";
			};
		}>;
	}, "strip", z.ZodTypeAny, {
		background: {
			backdrop: {
				value: {
					value: string;
					kind: "COLOR";
				} | {
					angle: number;
					kind: "LINEAR_GRADIENT";
					stops: {
						color: {
							value: string;
							kind: "COLOR";
						};
						position: number;
					}[];
				};
				kind: "BACKDROP";
			};
		};
		lineNumbers: {
			enabled: boolean;
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			};
			horizontalMargin: [
				number,
				number
			];
		};
		tokens: {
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			} & {
				fontFamily: string;
				lineHeight: number;
				kind: "TYPOGRAPHY";
				fontSizeFactor: number;
			};
			colors: {
				string: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				number: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				type: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				value: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				literal: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				keyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeKeyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				tag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeTag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				attribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeAttribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				declaration: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				operator: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				invocation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				comment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeComment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				punctuation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
			};
		};
		decorations: {
			line: {
				error: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "error";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				highlight: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "highlight";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				ok: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "ok";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom1: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom1";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom2: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom2";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom3: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom3";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
			};
			text: {
				error: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "error";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				highlight: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "highlight";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				ok: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "ok";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom1: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom1";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom2: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom2";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom3: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom3";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
			};
			gutter: {
				character: {
					offset: [
						number,
						number
					];
					kind: "DECORATION_GUTTER";
				};
			};
		};
	}, {
		background: {
			backdrop: {
				value: {
					value: string;
					kind: "COLOR";
				} | {
					angle: number;
					kind: "LINEAR_GRADIENT";
					stops: {
						color: {
							value: string;
							kind: "COLOR";
						};
						position: number;
					}[];
				};
				kind: "BACKDROP";
			};
		};
		lineNumbers: {
			enabled: boolean;
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			};
			horizontalMargin: [
				number,
				number
			];
		};
		tokens: {
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			} & {
				fontFamily: string;
				lineHeight: number;
				kind: "TYPOGRAPHY";
				fontSizeFactor: number;
			};
			colors: {
				string: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				number: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				type: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				value: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				literal: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				keyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeKeyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				tag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeTag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				attribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeAttribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				declaration: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				operator: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				invocation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				comment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeComment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				punctuation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
			};
		};
		decorations: {
			line: {
				error: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "error";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				highlight: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "highlight";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				ok: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "ok";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom1: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom1";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom2: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom2";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom3: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom3";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
			};
			text: {
				error: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "error";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				highlight: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "highlight";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				ok: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "ok";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom1: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom1";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom2: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom2";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom3: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom3";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
			};
			gutter: {
				character: {
					offset: [
						number,
						number
					];
					kind: "DECORATION_GUTTER";
				};
			};
		};
	}>;
}, "strip", z.ZodTypeAny, {
	animation: {
		function: "linear" | "ease" | "ease-in" | "ease-out" | "ease-in-out";
		duration: number;
	};
	padding: [
		number,
		number,
		number,
		number
	];
	verticalAlign: "top" | "middle";
	version: 0;
	layers: {
		background: {
			backdrop: {
				value: {
					value: string;
					kind: "COLOR";
				} | {
					angle: number;
					kind: "LINEAR_GRADIENT";
					stops: {
						color: {
							value: string;
							kind: "COLOR";
						};
						position: number;
					}[];
				};
				kind: "BACKDROP";
			};
		};
		lineNumbers: {
			enabled: boolean;
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			};
			horizontalMargin: [
				number,
				number
			];
		};
		tokens: {
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			} & {
				fontFamily: string;
				lineHeight: number;
				kind: "TYPOGRAPHY";
				fontSizeFactor: number;
			};
			colors: {
				string: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				number: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				type: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				value: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				literal: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				keyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeKeyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				tag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeTag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				attribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeAttribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				declaration: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				operator: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				invocation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				comment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeComment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				punctuation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
			};
		};
		decorations: {
			line: {
				error: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "error";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				highlight: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "highlight";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				ok: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "ok";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom1: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom1";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom2: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom2";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom3: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom3";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
			};
			text: {
				error: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "error";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				highlight: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "highlight";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				ok: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "ok";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom1: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom1";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom2: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom2";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom3: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom3";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
			};
			gutter: {
				character: {
					offset: [
						number,
						number
					];
					kind: "DECORATION_GUTTER";
				};
			};
		};
	};
}, {
	animation: {
		function: "linear" | "ease" | "ease-in" | "ease-out" | "ease-in-out";
		duration: number;
	};
	padding: [
		number,
		number,
		number,
		number
	];
	verticalAlign: "top" | "middle";
	version: 0;
	layers: {
		background: {
			backdrop: {
				value: {
					value: string;
					kind: "COLOR";
				} | {
					angle: number;
					kind: "LINEAR_GRADIENT";
					stops: {
						color: {
							value: string;
							kind: "COLOR";
						};
						position: number;
					}[];
				};
				kind: "BACKDROP";
			};
		};
		lineNumbers: {
			enabled: boolean;
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			};
			horizontalMargin: [
				number,
				number
			];
		};
		tokens: {
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			} & {
				fontFamily: string;
				lineHeight: number;
				kind: "TYPOGRAPHY";
				fontSizeFactor: number;
			};
			colors: {
				string: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				number: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				type: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				value: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				literal: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				keyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeKeyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				tag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeTag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				attribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeAttribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				declaration: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				operator: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				invocation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				comment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeComment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				punctuation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
			};
		};
		decorations: {
			line: {
				error: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "error";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				highlight: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "highlight";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				ok: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "ok";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom1: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom1";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom2: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom2";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom3: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom3";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
			};
			text: {
				error: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "error";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				highlight: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "highlight";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				ok: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "ok";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom1: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom1";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom2: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom2";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom3: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom3";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
			};
			gutter: {
				character: {
					offset: [
						number,
						number
					];
					kind: "DECORATION_GUTTER";
				};
			};
		};
	};
}>;
export type Theme = z.infer<typeof themeSchema>;
type Coords = {
	sx: number;
	sy: number;
	ex: number;
	ey: number;
};
type Diffable = Coords & {
	hash: number;
	context: string[];
	depth: number;
};
type Token = Diffable & {
	text: string;
	type: string;
	range: number;
	language: string;
};
type InputRange = {
	from: number;
	to: number;
	data: Record<string, string>;
};
type ComposedRange = InputRange & {
	hash: number;
};
type Node$1 = Diffable & {
	type: string;
	content: (Node$1 | Token)[];
	size: number;
};
type LanguageDefinition = {
	name: string;
	processor: (code: string, sliceFrom: number, sliceTo: number, inputContext: string[], ranges: ComposedRange[], flags: any) => Node$1[];
	themeMap: LanguageThemeMap;
	dependencies: Record<string, LanguageDefinition>;
};
declare const baseDecorationSchema: z.ZodObject<{
	data: z.ZodObject<{
		tagName: z.ZodOptional<z.ZodString>;
		attributes: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
	}, "strip", z.ZodTypeAny, {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	}, {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	}>;
}, "strip", z.ZodTypeAny, {
	data: {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	};
}, {
	data: {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	};
}>;
type BaseDecoration = z.infer<typeof baseDecorationSchema>;
declare const inputGutterDecorationSchema: z.ZodObject<z.objectUtil.extendShape<{
	data: z.ZodObject<{
		tagName: z.ZodOptional<z.ZodString>;
		attributes: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
	}, "strip", z.ZodTypeAny, {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	}, {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	}>;
}, {
	kind: z.ZodLiteral<"GUTTER">;
	class: z.ZodLiteral<"character">;
	text: z.ZodString;
	line: z.ZodNumber;
}>, "strip", z.ZodTypeAny, {
	data: {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	};
	line: number;
	text: string;
	class: "character";
	kind: "GUTTER";
}, {
	data: {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	};
	line: number;
	text: string;
	class: "character";
	kind: "GUTTER";
}>;
type InputGutterDecoration = z.infer<typeof inputGutterDecorationSchema>;
declare const inputLineDecorationSchema: z.ZodObject<z.objectUtil.extendShape<{
	data: z.ZodObject<{
		tagName: z.ZodOptional<z.ZodString>;
		attributes: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
	}, "strip", z.ZodTypeAny, {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	}, {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	}>;
}, {
	kind: z.ZodLiteral<"LINE">;
	class: z.ZodUnion<[
		z.ZodLiteral<"highlight">,
		z.ZodLiteral<"error">,
		z.ZodLiteral<"ok">,
		z.ZodLiteral<"custom1">,
		z.ZodLiteral<"custom2">,
		z.ZodLiteral<"custom3">
	]>;
	fromLine: z.ZodNumber;
	toLine: z.ZodNumber;
}>, "strip", z.ZodTypeAny, {
	data: {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	};
	class: "error" | "highlight" | "ok" | "custom1" | "custom2" | "custom3";
	kind: "LINE";
	fromLine: number;
	toLine: number;
}, {
	data: {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	};
	class: "error" | "highlight" | "ok" | "custom1" | "custom2" | "custom3";
	kind: "LINE";
	fromLine: number;
	toLine: number;
}>;
type InputLineDecoration = z.infer<typeof inputLineDecorationSchema>;
declare const inputTextDecorationSchema: z.ZodObject<z.objectUtil.extendShape<{
	data: z.ZodObject<{
		tagName: z.ZodOptional<z.ZodString>;
		attributes: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
	}, "strip", z.ZodTypeAny, {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	}, {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	}>;
}, {
	kind: z.ZodLiteral<"TEXT">;
	class: z.ZodUnion<[
		z.ZodLiteral<"highlight">,
		z.ZodLiteral<"error">,
		z.ZodLiteral<"ok">,
		z.ZodLiteral<"custom1">,
		z.ZodLiteral<"custom2">,
		z.ZodLiteral<"custom3">
	]>;
	from: z.ZodNumber;
	to: z.ZodNumber;
}>, "strip", z.ZodTypeAny, {
	data: {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	};
	class: "error" | "highlight" | "ok" | "custom1" | "custom2" | "custom3";
	kind: "TEXT";
	from: number;
	to: number;
}, {
	data: {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	};
	class: "error" | "highlight" | "ok" | "custom1" | "custom2" | "custom3";
	kind: "TEXT";
	from: number;
	to: number;
}>;
type InputTextDecoration = z.infer<typeof inputTextDecorationSchema>;
declare const inputDecorationSchema: z.ZodDiscriminatedUnion<"kind", [
	z.ZodObject<z.objectUtil.extendShape<{
		data: z.ZodObject<{
			tagName: z.ZodOptional<z.ZodString>;
			attributes: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
		}, "strip", z.ZodTypeAny, {
			attributes?: Record<string, string> | undefined;
			tagName?: string | undefined;
		}, {
			attributes?: Record<string, string> | undefined;
			tagName?: string | undefined;
		}>;
	}, {
		kind: z.ZodLiteral<"GUTTER">;
		class: z.ZodLiteral<"character">;
		text: z.ZodString;
		line: z.ZodNumber;
	}>, "strip", z.ZodTypeAny, {
		data: {
			attributes?: Record<string, string> | undefined;
			tagName?: string | undefined;
		};
		line: number;
		text: string;
		class: "character";
		kind: "GUTTER";
	}, {
		data: {
			attributes?: Record<string, string> | undefined;
			tagName?: string | undefined;
		};
		line: number;
		text: string;
		class: "character";
		kind: "GUTTER";
	}>,
	z.ZodObject<z.objectUtil.extendShape<{
		data: z.ZodObject<{
			tagName: z.ZodOptional<z.ZodString>;
			attributes: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
		}, "strip", z.ZodTypeAny, {
			attributes?: Record<string, string> | undefined;
			tagName?: string | undefined;
		}, {
			attributes?: Record<string, string> | undefined;
			tagName?: string | undefined;
		}>;
	}, {
		kind: z.ZodLiteral<"LINE">;
		class: z.ZodUnion<[
			z.ZodLiteral<"highlight">,
			z.ZodLiteral<"error">,
			z.ZodLiteral<"ok">,
			z.ZodLiteral<"custom1">,
			z.ZodLiteral<"custom2">,
			z.ZodLiteral<"custom3">
		]>;
		fromLine: z.ZodNumber;
		toLine: z.ZodNumber;
	}>, "strip", z.ZodTypeAny, {
		data: {
			attributes?: Record<string, string> | undefined;
			tagName?: string | undefined;
		};
		class: "error" | "highlight" | "ok" | "custom1" | "custom2" | "custom3";
		kind: "LINE";
		fromLine: number;
		toLine: number;
	}, {
		data: {
			attributes?: Record<string, string> | undefined;
			tagName?: string | undefined;
		};
		class: "error" | "highlight" | "ok" | "custom1" | "custom2" | "custom3";
		kind: "LINE";
		fromLine: number;
		toLine: number;
	}>,
	z.ZodObject<z.objectUtil.extendShape<{
		data: z.ZodObject<{
			tagName: z.ZodOptional<z.ZodString>;
			attributes: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
		}, "strip", z.ZodTypeAny, {
			attributes?: Record<string, string> | undefined;
			tagName?: string | undefined;
		}, {
			attributes?: Record<string, string> | undefined;
			tagName?: string | undefined;
		}>;
	}, {
		kind: z.ZodLiteral<"TEXT">;
		class: z.ZodUnion<[
			z.ZodLiteral<"highlight">,
			z.ZodLiteral<"error">,
			z.ZodLiteral<"ok">,
			z.ZodLiteral<"custom1">,
			z.ZodLiteral<"custom2">,
			z.ZodLiteral<"custom3">
		]>;
		from: z.ZodNumber;
		to: z.ZodNumber;
	}>, "strip", z.ZodTypeAny, {
		data: {
			attributes?: Record<string, string> | undefined;
			tagName?: string | undefined;
		};
		class: "error" | "highlight" | "ok" | "custom1" | "custom2" | "custom3";
		kind: "TEXT";
		from: number;
		to: number;
	}, {
		data: {
			attributes?: Record<string, string> | undefined;
			tagName?: string | undefined;
		};
		class: "error" | "highlight" | "ok" | "custom1" | "custom2" | "custom3";
		kind: "TEXT";
		from: number;
		to: number;
	}>
]>;
type InputDecoration = z.infer<typeof inputDecorationSchema>;
type ReifiedDecoration = Coords & Diffable;
type GutterDecoration = InputGutterDecoration & ReifiedDecoration;
type LineDecoration = InputLineDecoration & ReifiedDecoration;
type TextDecoration = InputTextDecoration & ReifiedDecoration;
type Decoration = GutterDecoration | LineDecoration | TextDecoration;
type FrameMetadata = {
	renderedText: string;
	cols: number;
	rows: number;
};
type TokenOutput = {
	id: number;
	text: string;
	type: string;
	language: string;
};
type LineNumberOutput = {
	id: number;
	text: string;
};
type GutterDecorationOutput = BaseDecoration & {
	id: number;
	text: string;
	readonly kind: InputGutterDecoration["kind"];
	readonly class: InputGutterDecoration["class"];
};
type LineDecorationOutput = BaseDecoration & {
	id: number;
	readonly kind: InputLineDecoration["kind"];
	readonly class: InputLineDecoration["class"];
};
type TextDecorationOutput = BaseDecoration & {
	id: number;
	readonly kind: InputTextDecoration["kind"];
	readonly class: InputTextDecoration["class"];
};
type DecorationOutput = GutterDecorationOutput | LineDecorationOutput | TextDecorationOutput;
type TextPosition = {
	x: number;
	y: number;
	a: number;
};
type DecorationPosition = {
	x: number;
	y: number;
	w: number;
	h: number;
	a: number;
};
type Frame = {
	isKeyframe: boolean;
	cols: number;
	rows: number;
	text: Map<number, TextPosition>;
	lineNumbers: Map<number, {
		a: number;
	}>;
	decoration: Map<number, DecorationPosition>;
};
type Scene = {
	cols: number;
	rows: number;
	objects: {
		text: Map<number, TokenOutput>;
		lineNumbers: Map<number, LineNumberOutput>;
		decoration: Map<number, DecorationOutput>;
	};
	frames: Map<number, Frame>;
	metadata: Map<number, FrameMetadata>;
};
type SceneData = {
	scene: Scene;
	language: LanguageDefinition;
};
type InputFrame = {
	code: string;
	ranges: InputRange[];
	decorations: InputDecoration[];
};
type InputOptions = {
	language: LanguageDefinition;
	tabSize: number;
};
type HighlightData = {
	tokens: Token[];
	decorations: Decoration[];
	metadata: FrameMetadata;
	language: LanguageDefinition;
};
export declare function fromStringsToScene(inputFrames: Optional<InputFrame, "decorations" | "ranges">[], options: InputOptions): SceneData;
export declare function fromStringToTokens(inputFrame: Optional<InputFrame, "decorations" | "ranges">, options: InputOptions): HighlightData;
type HighlightOptions = {
	rootClassSeed?: number;
	debugOverride?: boolean;
	theme?: Theme;
};
export declare function toHighlightHTML({ tokens, decorations, metadata, language }: HighlightData, { rootClassSeed, theme, debugOverride, }?: HighlightOptions): string;
type AnimationOptions = {
	rootClassSeed?: number;
	debugOverride?: boolean;
	theme?: Theme;
};
export declare function toAnimationHTML({ scene, language }: SceneData, { rootClassSeed, theme, debugOverride, }?: AnimationOptions): string;
export declare function ch(amount: number): string;
export declare function font(family: string, lineHeight: number): string;
export declare function backdropToCss(backdrop: BackgroundSchema): {
	background: string;
};

export {};
